#include<stdio.h>
#include<iostream>
using namespace std;
int main()
{
	int t,n[11],m[11],l[300][300],u[300][300];
	cin>>t;
	for(int i=0; i<t; i++)
	{
		cin>>n[i]>>m[i];
		for(int j=0; j<n[i]; j++)
			for(int k=0; k<m[i]; k++) cin>>l[j][k];
		for(int j=0; j<n[i]; j++)
			for(int k=0; k<m[i]; k++) cin>>u[j][k];
	}
	
	//ispisi momira
	for(int i=0; i<t; i++)
	{
		cout<<"DA"<<endl;
		for(int j=0; j<n[i]; j++)
		{
			for(int k=0; k<m[i]; k++) cout<<l[j][k]<<" ";
			cout<<endl;	
		}
	}
	
	
	return 0;	
}